Skip to content
Payments docs are in beta — the OpenAPI contract is the source of truth.API reference
VortexPayments
Esc
↑↓navigate↵open⌘Jpreview

Get a merchant account snapshot

GET/v1/merchant-accounts/{merchantAccountId}
Authorization
AuthorizationBearer token · headerrequired
Public API key bearer token.
Path parameters
merchantAccountIdstringrequired
Query parameters
environmentstringrequired
merchantAccountIdstringrequired
Responses
200Success
dataobjectrequired
requestIdstringrequired
400Bad request, including malformed JSON
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
401Missing or invalid API key
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
409Conflict, including idempotency body drift
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
422Validation failed
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
429API key rate limit exceeded
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
defaultError
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
Request
curl -X GET "https://api.vortex.nyc/v1/merchant-accounts/string?environment=string&merchantAccountId=string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "data": {},
  "requestId": "string"
}